org.apache.cassandra.streaming

## Class StreamRequestVerbHandler

- java.lang.Object
- - org.apache.cassandra.streaming.StreamRequestVerbHandler

- All Implemented Interfaces:
    IVerbHandler<StreamRequest>

      public class StreamRequestVerbHandler
      extends java.lang.Object
      implements IVerbHandler<StreamRequest>

  This verb handler handles the StreamRequestMessage that is sent by the node requesting range transfer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamRequestVerbHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doVerb(MessageIn<StreamRequest> message, java.lang.String id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamRequestVerbHandler

          public StreamRequestVerbHandler()

  - ### Method Detail

    - #### doVerb

          public void doVerb(MessageIn<StreamRequest> message,
                    java.lang.String id)

      Description copied from interface: `IVerbHandler`
      This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.
      Specified by:
        `doVerb` in interface `IVerbHandler<StreamRequest>`
      Parameters:
        `message` - - incoming message that needs handling.

Copyright © 2014 The Apache Software Foundation